System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.MarshalByRefObject System.Drawing.IDeviceContext

The class provides methods for drawing objects to the display device. A is associated with a specific device context.

You can obtain a object by calling the method on an object that inherits from , or by handling a control's event and accessing the property of the class. You can also create a object from an image by using the method. For more information about creating a object, see How to: Create Graphics Objects for Drawing.

You can draw many different shapes and lines by using a object. For more information about how to draw lines and shapes, see the specific DrawGraphicalElement method for the line or shape you want to draw. These methods include , , , , and . For more information about how to draw lines and shapes, see Using a Pen to Draw Lines and Shapes and Using a Brush to Fill Shapes.

You can also draw images and icons by using the and methods, respectively. To perform a bit-block transfer of color data from the screen to the drawing surface of the object, see . For more information about how to draw images with a object, see Working with Images, Bitmaps, Icons, and Metafiles.

In addition, you can manipulate the coordinate system used by the object. For more information on the coordinate system and how to manipulate it, see Coordinate Systems and Transformations.

Encapsulates a ndptecgdiplus drawing surface. This class cannot be inherited.

- Method
  System.Void ``

  This method is valid only if this is associated with a .

  Adds a comment to the current .

  Array of bytes that contains the comment. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Drawing2D.GraphicsContainer

  Use this method with the method to create nested graphics containers. Graphics containers retain graphics state, such as transformation, clipping region, and rendering properties.

  When you call the method of a , an information block that holds the state of the is put on a stack. The method returns a that identifies that information block. When you pass the identifying object to the method, the information block is removed from the stack and is used to restore the to the state it was in at the time of the method call.

  Containers can be nested; that is, you can call the method several times before you call the method. Each time you call the method, an information block is put on the stack, and you receive a for the information block. When you pass one of those objects to the method, the is returned to the state it was in at the time of the method call that returned that particular . The information block placed on the stack by that method call is removed from the stack, and all information blocks placed on that stack after that method call are also removed.

  Calls to the method place information blocks on the same stack as calls to the method. Just as an method call is paired with a method call, a method call is paired with a method call.

  When you call the method, all information blocks placed on the stack (by the method or by the method) after the corresponding call to the method are removed from the stack. Likewise, when you call the method, all information blocks placed on the stack (by the method or by the method) after the corresponding call to the method are removed from the stack.

  The graphics state established by the method includes the rendering qualities of the default graphics state; any rendering-quality state changes existing when the method is called are reset to the default values.

  Saves a graphics container with the current state of this and opens and uses a new graphics container.

  This method returns a that represents the state of this at the time of the method call.

  1.0.5000.0
  2.0.0.0
- Method
  System.Drawing.Drawing2D.GraphicsContainer `` `` ``

  Use this method with the method to create nested graphics containers. Graphics containers retain graphics state, such as transformation, clipping region, and rendering properties.

  When you call the method of a , an information block that holds the state of the is put on a stack. The method returns a that identifies that information block. When you pass the identifying object to the method, the information block is removed from the stack and is used to restore the to the state it was in at the time of the method call.

  Containers can be nested; that is, you can call the method several times before you call the method. Each time you call the method, an information block is put on the stack, and you receive a for the information block. When you pass one of those objects to the method, the is returned to the state it was in at the time of the method call that returned that particular . The information block placed on the stack by that method call is removed from the stack, and all information blocks placed on that stack after that method call are also removed.

  Calls to the method place information blocks on the same stack as calls to the method. Just as an method call is paired with a method call, a method call is paired with a method call.

  When you call the method, all information blocks placed on the stack (by the method or by the method) after the corresponding call to the method are removed from the stack. Likewise, when you call the method, all information blocks placed on the stack (by the method or by the method) after the corresponding call to the method are removed from the stack.

  This method specifies a scale transformation for the new graphics container with the and parameters. The scale is equal to the transformation that, when applied to , results in .

  The graphics state established by the method includes the rendering qualities of the default graphics state; any rendering-quality state changes existing when the method is called are reset to the default values.

  Saves a graphics container with the current state of this and opens and uses a new graphics container with the specified scale transformation.

  This method returns a that represents the state of this at the time of the method call.

  structure that, together with the parameter, specifies a scale transformation for the container. structure that, together with the parameter, specifies a scale transformation for the container. Member of the enumeration that specifies the unit of measure for the container. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Drawing2D.GraphicsContainer `` `` ``

  Use this method with the method to create nested graphics containers. Graphics containers retain graphics state, such as transformation, clipping region, and rendering properties.

  When you call the method of a , an information block that holds the state of the is put on a stack. The method returns a that identifies that information block. When you pass the identifying object to the method, the information block is removed from the stack and is used to restore the to the state it was in at the time of the method call.

  Containers can be nested; that is, you can call the method several times before you call the method. Each time you call the method, an information block is put on the stack, and you receive a for the information block. When you pass one of those objects to the method, the is returned to the state it was in at the time of the method call that returned that particular . The information block placed on the stack by that method call is removed from the stack, and all information blocks placed on that stack after that method call are also removed.

  Calls to the method place information blocks on the same stack as calls to the method. Just as an method call is paired with a method call, a method call is paired with a method call.

  When you call the method, all information blocks placed on the stack (by the Save method or by the method) after the corresponding call to the method are removed from the stack. Likewise, when you call the method, all information blocks placed on the stack (by the method or by the method) after the corresponding call to the method are removed from the stack.

  This method specifies a scale transformation for the new graphics container with the and parameters. The scale is equal to the transformation that, when applied to , results in .

  The graphics state established by the method includes the rendering qualities of the default graphics state; any rendering-quality state changes existing when the method is called are reset to the default values.

  Saves a graphics container with the current state of this and opens and uses a new graphics container with the specified scale transformation.

  This method returns a that represents the state of this at the time of the method call.

  structure that, together with the parameter, specifies a scale transformation for the new graphics container. structure that, together with the parameter, specifies a scale transformation for the new graphics container. Member of the enumeration that specifies the unit of measure for the container. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method clears the state of the graphics object and should not be called when the graphics object cannot be updated. For example, if the method is called on a secure desktop in a terminal server session, an may occur, leaving the object in an inconsistent state.

  Clears the entire drawing surface and fills it with the specified background color.

  structure that represents the background color of the drawing surface. 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Region The current clipping region, represented as a Region.

  Modifying the object returned by the property does not affect subsequent drawing with the object. To change the clip region, replace the property value with a new object. To determine whether the clipping region is infinite, retrieve the property and call its method.

  Gets or sets a that limits the drawing region of this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.RectangleF The current bounding box for the clipping region.

  The unit for resulting rectangle is designated by the property. The default unit is pixels. A is typically associated with a control and the origin of the rectangle will be relative to the client area of that control.

  If the clipping region is infinite, the property returns a meaningless large rectangle. To determine whether the clipping region is infinite, retrieve the property and call its method.

  Gets a structure that bounds the clipping region of this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Drawing2D.CompositingMode To be added: an object of type 'Drawing2D.CompositingMode'

  The compositing mode determines whether pixels from a source image overwrite or are combined with background pixels.

  You should not use a property value of when the property is set to . An exception could occur or the image may not render correctly.

  Gets a value that specifies how composited images are drawn to this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Drawing2D.CompositingQuality To be added: an object of type 'Drawing2D.CompositingQuality'

  The compositing quality determines the rendering quality level of composited images.

  Gets or sets the rendering quality of composited images drawn to this .

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` ``

  The methods are useful for layering one image on top of another. To specify how the source and destination colors are blended, use one of the methods that takes a parameter.

  Performs a bit-block transfer of color data, corresponding to a rectangle of pixels, from the screen to the drawing surface of the .

  The point at the upper-left corner of the source rectangle. The point at the upper-left corner of the destination rectangle. The size of the area to be transferred.
- Method
  2.0.0.0
  System.Void `` `` `` ``

  The methods are useful for layering one image on top of another. The parameter allows you to specify if and how the source colors should be blended with the colors in the destination area.

  Performs a bit-block transfer of color data, corresponding to a rectangle of pixels, from the screen to the drawing surface of the .

  The point at the upper-left corner of the source rectangle. The point at the upper-left corner of the destination rectangle. The size of the area to be transferred. One of the values.
- Method
  2.0.0.0
  System.Void `` `` `` `` ``

  The methods are useful for layering one image on top of another. To specify how the source and destination colors are blended, use one of the methods that takes a parameter.

  Performs a bit-block transfer of the color data, corresponding to a rectangle of pixels, from the screen to the drawing surface of the .

  The x-coordinate of the point at the upper-left corner of the source rectangle. The y-coordinate of the point at the upper-left corner of the source rectangle. The x-coordinate of the point at the upper-left corner of the destination rectangle. The y-coordinate of the point at the upper-left corner of the destination rectangle. The size of the area to be transferred.
- Method
  2.0.0.0
  System.Void `` `` `` `` `` ``

  The methods are useful for layering one image on top of another. The parameter allows you to specify if and how the source colors should be blended with the colors in the destination area.

  Performs a bit-block transfer of the color data, corresponding to a rectangle of pixels, from the screen to the drawing surface of the .

  The x-coordinate of the point at the upper-left corner of the source rectangle. The y-coordinate of the point at the upper-left corner of the source rectangle The x-coordinate of the point at the upper-left corner of the destination rectangle. The y-coordinate of the point at the upper-left corner of the destination rectangle. The size of the area to be transferred. One of the values.
- Method
  System.Void

  Calling allows the resources used by this to be reallocated for other purposes.

  Releases all resources used by this .

  This method does not return a value.

  1.0.5000.0
  2.0.0.0
- Property
  System.Single To be added: an object of type 'float'

  For more information about creating high-resolution applications, see

  High DPI.

  Gets the horizontal resolution of this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Single To be added: an object of type 'float'

  For more information about creating high-resolution applications, see

  High DPI.

  Gets the vertical resolution of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` `` ``

  This method draws an arc that is a portion of the perimeter of an ellipse. The ellipse is defined by the boundaries of a rectangle. The arc is the portion of the perimeter of the ellipse between the parameter and the + parameters.

  Draws an arc representing a portion of an ellipse specified by a structure.

  that determines the color, width, and style of the arc. structure that defines the boundaries of the ellipse. Angle in degrees measured clockwise from the x-axis to the starting point of the arc. Angle in degrees measured clockwise from the parameter to ending point of the arc. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  This method draws an arc that is a portion of the perimeter of an ellipse. The ellipse is defined by the boundaries of a rectangle. The arc is the portion of the perimeter of the ellipse between the parameter and the + parameters.

  Draws an arc representing a portion of an ellipse specified by a structure.

  that determines the color, width, and style of the arc. structure that defines the boundaries of the ellipse. Angle in degrees measured clockwise from the x-axis to the starting point of the arc. Angle in degrees measured clockwise from the parameter to ending point of the arc. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` ``

  This method draws an arc that is a portion of the perimeter of an ellipse. The ellipse is defined by the boundaries of a rectangle. The arc is the portion of the perimeter of the ellipse between the parameter and the + parameters.

  Draws an arc representing a portion of an ellipse specified by a pair of coordinates, a width, and a height.

  that determines the color, width, and style of the arc. The x-coordinate of the upper-left corner of the rectangle that defines the ellipse. The y-coordinate of the upper-left corner of the rectangle that defines the ellipse. Width of the rectangle that defines the ellipse. Height of the rectangle that defines the ellipse. Angle in degrees measured clockwise from the x-axis to the starting point of the arc. Angle in degrees measured clockwise from the parameter to ending point of the arc. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` ``

  This method draws an arc that is a portion of the perimeter of an ellipse. The ellipse is defined by the boundaries of a rectangle. The arc is the portion of the perimeter of the ellipse between the parameter and the + parameters.

  Draws an arc representing a portion of an ellipse specified by a pair of coordinates, a width, and a height.

  that determines the color, width, and style of the arc. The x-coordinate of the upper-left corner of the rectangle that defines the ellipse. The y-coordinate of the upper-left corner of the rectangle that defines the ellipse. Width of the rectangle that defines the ellipse. Height of the rectangle that defines the ellipse. Angle in degrees measured clockwise from the x-axis to the starting point of the arc. Angle in degrees measured clockwise from the parameter to ending point of the arc. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  The Bézier curve is drawn from the first point to the fourth point. The second and third points are control points that determine the shape of the curve.

  Draws a Bézier spline defined by four structures.

  structure that determines the color, width, and style of the curve. structure that represents the starting point of the curve. structure that represents the first control point for the curve. structure that represents the second control point for the curve. structure that represents the ending point of the curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  The Bézier spline is drawn from the first point to the fourth point. The second and third points are control points that determine the shape of the curve.

  Draws a Bézier spline defined by four structures.

  that determines the color, width, and style of the curve. structure that represents the starting point of the curve. structure that represents the first control point for the curve. structure that represents the second control point for the curve. structure that represents the ending point of the curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` ``

  The Bézier spline is drawn from the first point to the fourth point. The second and third points are control points that determine the shape of the curve.

  Draws a Bézier spline defined by four ordered pairs of coordinates that represent points.

  that determines the color, width, and style of the curve. The x-coordinate of the starting point of the curve. The y-coordinate of the starting point of the curve. The x-coordinate of the first control point of the curve. The y-coordinate of the first control point of the curve. The x-coordinate of the second control point of the curve. The y-coordinate of the second control point of the curve. The x-coordinate of the ending point of the curve. The y-coordinate of the ending point of the curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The number of points in the array should be a multiple of 3 plus 1 because the first spline requires 4 points and any other splines require 3 points each. The first Bézier spline is drawn from the first point to the fourth point in the point array. The second and third points are control points that determine the shape of the curve. Each subsequent curve needs exactly three more points: two more control points and an ending point. The ending point of the previous curve is used as the starting point for each additional curve.

  Draws a series of Bézier splines from an array of structures.

  that determines the color, width, and style of the curve. Array of structures that represent the points that determine the curve. The number of points in the array should be a multiple of 3 plus 1, such as 4, 7, or 10. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The number of points in the array should be a multiple of 3 plus 1 because the first spline requires 4 points and any other splines require 3 points each. The first Bézier curve is drawn from the first point to the fourth point in the point array. The second and third points are control points that determine the shape of the curve. Each subsequent curve needs exactly three more points: two more control points and an ending point. The ending point of the previous curve is used as the starting point for each additional curve.

  Draws a series of Bézier splines from an array of structures.

  that determines the color, width, and style of the curve. Array of structures that represent the points that determine the curve. The number of points in the array should be a multiple of 3 plus 1, such as 4, 7, or 10. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method draws a closed cardinal spline that passes through each point in the array. If the last point does not match the first point, an additional curve segment is added from the last point to the first point to close the figure.

  The array of points must contain at least four structures.

  This method uses a default tension of 0.5.

  Draws a closed cardinal spline defined by an array of structures.

  that determines the color, width, and height of the curve. Array of structures that define the spline. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method draws a closed cardinal spline that passes through each point in the array. If the last point does not match the first point, an additional curve segment is added from the last point to the first point to close it.

  The array of points must contain at least four structures.

  This method uses a default tension of 0.5.

  Draws a closed cardinal spline defined by an array of structures.

  that determines the color, width, and height of the curve. Array of structures that define the spline. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  This method draws a closed cardinal spline that passes through each point in the array. If the last point does not match the first point, an additional curve segment is added from the last point to the first point to close it.

  The array of points must contain at least four structures.

  The parameter determines the shape of the spline. If the value of the parameter is 0.0F, this method draws straight line segments to connect the points. Usually, the parameter is less than or equal to 1.0F. Values over 1.0F produce unusual results.

  Draws a closed cardinal spline defined by an array of structures using a specified tension.

  that determines the color, width, and height of the curve. Array of structures that define the spline. Value greater than or equal to 0.0F that specifies the tension of the curve. Member of the enumeration that determines how the curve is filled. This parameter is required but ignored. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  This method draws a closed cardinal spline that passes through each point in the array. If the last point does not match the first point, an additional curve segment is added from the last point to the first point to close it.

  The array of points must contain at least four structures.

  The parameter determines the shape of the spline. If the value of the parameter is 0.0F, this method draws straight line segments to connect the points. Usually, the parameter is less than or equal to 1.0F. Values over 1.0F produce unusual results.

  Draws a closed cardinal spline defined by an array of structures using a specified tension.

  that determines the color, width, and height of the curve. Array of structures that define the spline. Value greater than or equal to 0.0F that specifies the tension of the curve. Member of the enumeration that determines how the curve is filled. This parameter is required but is ignored. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method draws a cardinal spline that passes through each point in the array.

  The array of points must contain at least three structures for a curve to be drawn.

  This method uses a default tension of 0.5.

  Draws a cardinal spline through a specified array of structures.

  that determines the color, width, and height of the curve. Array of structures that define the spline. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method draws a cardinal spline that passes through each point in the array.

  The array of points must contain at least three structures for a curve to be drawn.

  This method uses a default tension of 0.5.

  Draws a cardinal spline through a specified array of structures.

  that determines the color, width, and style of the curve. Array of structures that define the spline. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  This method draws a cardinal spline that passes through each point in the array.

  The array of points must contain at least three structures for a curve to be drawn.

  The parameter determines the shape of the spline. If the value of the parameter is 0.0F, this method draws straight line segments to connect the points. Usually, the parameter is less than or equal to 1.0F. Values over 1.0F produce unusual results.

  Draws a cardinal spline through a specified array of structures using a specified tension.

  that determines the color, width, and style of the curve. Array of structures that define the spline. Value greater than or equal to 0.0F that specifies the tension of the curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  This method draws a cardinal spline that passes through each point in the array.

  The array of points must contain at least three structures for a curve to be drawn.

  The parameter determines the shape of the spline. If the value of the parameter is 0.0F, this method draws straight line segments to connect the points. Usually, the parameter is less than or equal to 1.0F. Values over 1.0F produce unusual results.

  Draws a cardinal spline through a specified array of structures using a specified tension.

  that determines the color, width, and style of the curve. Array of structures that represent the points that define the curve. Value greater than or equal to 0.0F that specifies the tension of the curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  This method draws a cardinal spline that passes through each point in the array.

  The array of points must contain at least three structures for a curve to be drawn.

  The value of the parameter specifies the number of elements to skip in the array. The first element after the skipped elements represents the starting point of the curve.

  The value of the parameter specifies the number of segments, after the starting point, to draw in the curve. The value of the parameter must be at least 1. The value of the parameter plus the value of the parameter must be less than the number of elements in the array of the parameter.

  This method uses a default tension of 0.5.

  Draws a cardinal spline through a specified array of structures. The drawing begins offset from the beginning of the array.

  that determines the color, width, and style of the curve. Array of structures that define the spline. Offset from the first element in the array of the parameter to the starting point in the curve. Number of segments after the starting point to include in the curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  This method draws a cardinal spline that passes through each point in the array.

  The array of points must contain at least three structures for a curve to be drawn.

  The value of the parameter specifies the number of elements to skip in the array. The first element after the skipped elements represents the starting point of the curve.

  The value of the parameter specifies the number of segments, after the starting point, to draw in the curve. The value of the parameter must be at least 1. The value of the parameter plus the value of the parameter must be less than the number of elements in the array of the parameter.

  The parameter determines the shape of the spline. If the value of the parameter is 0.0F, this method draws straight line segments to connect the points. Usually, the parameter is less than or equal to 1.0F. Values over 1.0F produce unusual results.

  Draws a cardinal spline through a specified array of structures using a specified tension.

  that determines the color, width, and style of the curve. Array of structures that define the spline. Offset from the first element in the array of the parameter to the starting point in the curve. Number of segments after the starting point to include in the curve. Value greater than or equal to 0.0F that specifies the tension of the curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  This method draws a cardinal spline that passes through each point in the array.

  The array of points must contain at least three structures for curve to be drawn.

  The value of the parameter specifies the number of elements to skip in the array. The first element after the skipped elements represents the starting point of the curve.

  The value of the parameter specifies the number of segments, after the starting point, to draw in the curve. The value of the parameter must be at least 1. The value of the parameter plus the value of the parameter must be less than the number of elements in the array of the parameter.

  The parameter determines the shape of the spline. If the value of the parameter is 0.0F, this method draws straight line segments to connect the points. Usually, the parameter is less than or equal to 1.0F. Values over 1.0F produce unusual results.

  Draws a cardinal spline through a specified array of structures using a specified tension. The drawing begins offset from the beginning of the array.

  that determines the color, width, and style of the curve. Array of structures that define the spline. Offset from the first element in the array of the parameter to the starting point in the curve. Number of segments after the starting point to include in the curve. Value greater than or equal to 0.0F that specifies the tension of the curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method draws an ellipse that is defined by the bounding rectangle specified by the parameter.

  Draws an ellipse specified by a bounding structure.

  that determines the color, width, and style of the ellipse. structure that defines the boundaries of the ellipse. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method draws an ellipse that is defined by the bounding rectangle specified by the parameter.

  Draws an ellipse defined by a bounding .

  that determines the color, width, and style of the ellipse. structure that defines the boundaries of the ellipse. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  This method draws an ellipse that is defined by the bounding rectangle described by the , , , and parameters.

  Draws an ellipse defined by a bounding rectangle specified by coordinates for the upper-left corner of the rectangle, a height, and a width.

  that determines the color, width, and style of the ellipse. The x-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse. The y-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse. Width of the bounding rectangle that defines the ellipse. Height of the bounding rectangle that defines the ellipse. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  This method draws an ellipse that is defined by the bounding rectangle described by the , , , and parameters.

  Draws an ellipse defined by a bounding rectangle specified by a pair of coordinates, a height, and a width.

  that determines the color, width, and style of the ellipse. The x-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse. The y-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse. Width of the bounding rectangle that defines the ellipse. Height of the bounding rectangle that defines the ellipse. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Draws the image represented by the specified within the area specified by a structure.

  to draw. structure that specifies the location and size of the resulting image on the display surface. The image contained in the parameter is scaled to the dimensions of this rectangular area. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added

  Draws the image represented by the specified at the specified coordinates.

  to draw. The x-coordinate of the upper-left corner of the drawn image. The y-coordinate of the upper-left corner of the drawn image. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Draws the image represented by the specified without scaling the image.

  to draw. structure that specifies the location and size of the resulting image. The image is not scaled to fit this rectangle, but retains its original size. If the image is larger than the rectangle, it is clipped to fit inside it. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  An stores a value for pixel width and a value for horizontal resolution (dots per inch). The physical width, measured in inches, of an image is the pixel width divided by the horizontal resolution. For example, an image with a pixel width of 216 and a horizontal resolution of 72 dots per inch has a physical width of 3 inches. Similar remarks apply to pixel height and physical height.

  This method draws an image using its physical size, so the image will have its correct size in inches regardless of the resolution (dots per inch) of the display device. For example, suppose an image has a pixel width of 216 and a horizontal resolution of 72 dots per inch. If you call this method to draw that image on a device that has a resolution of 96 dots per inch, the pixel width of the rendered image will be (216/72)*96 = 288.

  Draws the specified , using its original physical size, at the specified location.

  to draw. structure that represents the location of the upper-left corner of the drawn image. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The parameter specifies three points of a parallelogram. The three structures represent the upper-left, upper-right, and lower-left corners of the parallelogram. The fourth point is extrapolated from the first three to form a parallelogram.

  The image represented by the parameter is scaled and sheared to fit the shape of the parallelogram specified by the parameters.

  Draws the specified at the specified location and with the specified shape and size.

  to draw. Array of three structures that define a parallelogram. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  An stores a value for pixel width and a value for horizontal resolution (dots per inch). The physical width, measured in inches, of an image is the pixel width divided by the horizontal resolution. For example, an image with a pixel width of 216 and a horizontal resolution of 72 dots per inch has a physical width of 3 inches. Similar remarks apply to pixel height and physical height.

  This method draws an image using its physical size, so the image will have its correct size in inches regardless of the resolution (dots per inch) of the display device. For example, suppose an image has a pixel width of 216 and a horizontal resolution of 72 dots per inch. If you call this method to draw that image on a device that has a resolution of 96 dots per inch, the pixel width of the rendered image will be (216/72)*96 = 288.

  Draws the specified , using its original physical size, at the specified location.

  to draw. structure that represents the upper-left corner of the drawn image. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The parameter specifies three points of a parallelogram. The three structures represent the upper-left, upper-right, and lower-left corners of the parallelogram. The fourth point is extrapolated from the first three to form a parallelogram.

  The image represented by the object is scaled and sheared to fit the shape of the parallelogram specified by the parameter.

  Draws the specified at the specified location and with the specified shape and size.

  to draw. Array of three structures that define a parallelogram. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The image represented by the object is scaled to the dimensions of the rectangle.

  Draws the specified at the specified location and with the specified size.

  to draw. structure that specifies the location and size of the drawn image. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The image represented by the object is scaled to the dimensions of the rectangle.

  Draws the specified at the specified location and with the specified size.

  to draw. structure that specifies the location and size of the drawn image. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  An stores a value for pixel width and a value for horizontal resolution (dots per inch). The physical width, measured in inches, of an image is the pixel width divided by the horizontal resolution. For example, an image with a pixel width of 216 and a horizontal resolution of 72 dots per inch has a physical width of 3 inches. Similar remarks apply to pixel height and physical height.

  The method draws an image using its physical size, so the image will have its correct size in inches regardless of the resolution (dots per inch) of the display device. For example, suppose an image has a pixel width of 216 and a horizontal resolution of 72 dots per inch. If you call to draw that image on a device that has a resolution of 96 dots per inch, the pixel width of the rendered image will be (216/72)*96 = 288.

  Draws the specified image, using its original physical size, at the location specified by a coordinate pair.

  to draw. The x-coordinate of the upper-left corner of the drawn image. The y-coordinate of the upper-left corner of the drawn image. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  An stores a value for pixel width and a value for horizontal resolution (dots per inch). The physical width, measured in inches, of an image is the pixel width divided by the horizontal resolution. For example, an image with a pixel width of 216 and a horizontal resolution of 72 dots per inch has a physical width of 3 inches. Similar remarks apply to pixel height and physical height.

  This method draws an image using its physical size, so the image will have its correct size in inches regardless of the resolution (dots per inch) of the display device. For example, suppose an image has a pixel width of 216 and a horizontal resolution of 72 dots per inch. If you call this method to draw that image on a device that has a resolution of 96 dots per inch, the pixel width of the rendered image will be (216/72)*96 = 288.

  Draws the specified , using its original physical size, at the specified location.

  to draw. The x-coordinate of the upper-left corner of the drawn image. The y-coordinate of the upper-left corner of the drawn image. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  The parameter specifies three points of a parallelogram. The three structures represent the upper-left, upper-right, and lower-left corners of the parallelogram. The fourth point is extrapolated from the first three to form a parallelogram.

  The parameter specifies a rectangular portion of the object to draw. This portion is scaled and sheared to fit inside the parallelogram specified by the parameter.

  Draws the specified portion of the specified at the specified location and with the specified size.

  to draw. Array of three structures that define a parallelogram. structure that specifies the portion of the object to draw. Member of the enumeration that specifies the units of measure used by the parameter. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  The parameter specifies three points of a parallelogram. The three structures represent the upper-left, upper-right, and lower-left corners of the parallelogram. The fourth point is extrapolated from the first three to form a parallelogram.

  The parameter specifies a rectangular portion of the object to draw. This portion is scaled and sheared to fit inside the parallelogram specified by the parameter.

  Draws the specified portion of the specified at the specified location and with the specified size.

  to draw. Array of three structures that define a parallelogram. structure that specifies the portion of the object to draw. Member of the enumeration that specifies the units of measure used by the parameter. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  The parameter specifies a rectangular portion of the object to draw. This portion is scaled to fit inside the rectangle specified by the parameter.

  Draws the specified portion of the specified at the specified location and with the specified size.

  to draw. structure that specifies the location and size of the drawn image. The image is scaled to fit the rectangle. structure that specifies the portion of the object to draw. Member of the enumeration that specifies the units of measure used by the parameter. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  The parameter specifies a rectangular portion of the object to draw. This portion is scaled to fit inside the rectangle specified by the parameter.

  Draws the specified portion of the specified at the specified location and with the specified size.

  to draw. structure that specifies the location and size of the drawn image. The image is scaled to fit the rectangle. structure that specifies the portion of the object to draw. Member of the enumeration that specifies the units of measure used by the parameter. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  The parameter specifies three points of a parallelogram. The three structures represent the upper-left, upper-right, and lower-left corners of the parallelogram. The fourth point is extrapolated from the first three to form a parallelogram.

  The parameter specifies a rectangular portion of the object to draw. This portion is scaled and sheared to fit inside the parallelogram specified by the parameter.

  Draws the specified portion of the specified at the specified location.

  to draw. Array of three structures that define a parallelogram. structure that specifies the portion of the object to draw. Member of the enumeration that specifies the units of measure used by the parameter. that specifies recoloring and gamma information for the object. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  The parameter specifies three points of a parallelogram. The three structures represent the upper-left, upper-right, and lower-left corners of the parallelogram. The fourth point is extrapolated from the first three to form a parallelogram.

  The parameter specifies a rectangular portion of the object to draw. This portion is scaled and sheared to fit inside the parallelogram specified by the parameter.

  Draws the specified portion of the specified at the specified location and with the specified size.

  to draw. Array of three structures that define a parallelogram. structure that specifies the portion of the object to draw. Member of the enumeration that specifies the units of measure used by the parameter. that specifies recoloring and gamma information for the object. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  An stores a value for pixel width and a value for horizontal resolution (dots per inch). The physical width, measured in inches, of an image is the pixel width divided by the horizontal resolution. For example, an image with a pixel width of 360 and a horizontal resolution of 72 dots per inch has a physical width of 5 inches. Similar remarks apply to pixel height and physical height.

  This method draws a portion of an image using its physical size, so the image portion will have its correct size in inches regardless of the resolution (dots per inch) of the display device. For example, suppose an image portion has a pixel width of 216 and a horizontal resolution of 72 dots per inch. If you call this method to draw that image portion on a device that has a resolution of 96 dots per inch, the pixel width of the rendered image portion will be (216/72)*96 = 288.

  Draws a portion of an image at a specified location.

  to draw. The x-coordinate of the upper-left corner of the drawn image. The y-coordinate of the upper-left corner of the drawn image. structure that specifies the portion of the object to draw. Member of the enumeration that specifies the units of measure used by the parameter. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  The rectangle defined by the , , , and parameters determines the position and size of the drawn image.

  Draws the specified at the specified location and with the specified size.

  to draw. The x-coordinate of the upper-left corner of the drawn image. The y-coordinate of the upper-left corner of the drawn image. Width of the drawn image. Height of the drawn image. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  An stores a value for pixel width and a value for horizontal resolution (dots per inch). The physical width, measured in inches, of an image is the pixel width divided by the horizontal resolution. For example, an image with a pixel width of 360 and a horizontal resolution of 72 dots per inch has a physical width of 5 inches. Similar remarks apply to pixel height and physical height.

  This method draws a portion of an image using its physical size, so the image portion will have its correct size in inches regardless of the resolution (dots per inch) of the display device. For example, suppose an image portion has a pixel width of 216 and a horizontal resolution of 72 dots per inch. If you call this method to draw that image portion on a device that has a resolution of 96 dots per inch, the pixel width of the rendered image portion will be (216/72)*96 = 288.

  Draws a portion of an image at a specified location.

  to draw. The x-coordinate of the upper-left corner of the drawn image. The y-coordinate of the upper-left corner of the drawn image. structure that specifies the portion of the to draw. Member of the enumeration that specifies the units of measure used by the parameter. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  The rectangle defined by the , , , and parameters determines the position and size of the drawn image.

  Draws the specified at the specified location and with the specified size.

  to draw. The x-coordinate of the upper-left corner of the drawn image. The y-coordinate of the upper-left corner of the drawn image. Width of the drawn image. Height of the drawn image. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` To be added: an object of type 'Image' To be added: an object of type 'Point []' To be added: an object of type 'Rectangle' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Imaging.ImageAttributes' To be added: an object of type 'Graphics+DrawImageAbort' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` To be added: an object of type 'Image' To be added: an object of type 'PointF []' To be added: an object of type 'RectangleF' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Imaging.ImageAttributes' To be added: an object of type 'Graphics+DrawImageAbort' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` To be added: an object of type 'Image' To be added: an object of type 'Point []' To be added: an object of type 'Rectangle' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Imaging.ImageAttributes' To be added: an object of type 'Graphics+DrawImageAbort' To be added: an object of type 'int' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` To be added: an object of type 'Image' To be added: an object of type 'PointF []' To be added: an object of type 'RectangleF' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Imaging.ImageAttributes' To be added: an object of type 'Graphics+DrawImageAbort' To be added: an object of type 'int' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` ``

  The , , , and parameters specify a rectangular portion, of the object to draw. The rectangle is relative to the upper-left corner of the source image. This portion is scaled to fit inside the rectangle specified by the parameter.

  Draws the specified portion of the specified at the specified location and with the specified size.

  to draw. structure that specifies the location and size of the drawn image. The image is scaled to fit the rectangle. The x-coordinate of the upper-left corner of the portion of the source image to draw. The y-coordinate of the upper-left corner of the portion of the source image to draw. Width of the portion of the source image to draw. Height of the portion of the source image to draw. Member of the enumeration that specifies the units of measure used to determine the source rectangle. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` ``

  The , , , and parameters specify a rectangular portion, of the object to draw. The rectangle is relative to the upper-left corner of the source image. This portion is scaled to fit inside the rectangle specified by the parameter.

  Draws the specified portion of the specified at the specified location and with the specified size.

  to draw. structure that specifies the location and size of the drawn image. The image is scaled to fit the rectangle. The x-coordinate of the upper-left corner of the portion of the source image to draw. The y-coordinate of the upper-left corner of the portion of the source image to draw. Width of the portion of the source image to draw. Height of the portion of the source image to draw. Member of the enumeration that specifies the units of measure used to determine the source rectangle. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` ``

  The , , , and parameters specify a rectangular portion, of the object to draw. The rectangle is relative to the upper-left corner of the source image. This portion is scaled to fit inside the rectangle specified by the parameter.

  Draws the specified portion of the specified at the specified location and with the specified size.

  to draw. structure that specifies the location and size of the drawn image. The image is scaled to fit the rectangle. The x-coordinate of the upper-left corner of the portion of the source image to draw. The y-coordinate of the upper-left corner of the portion of the source image to draw. Width of the portion of the source image to draw. Height of the portion of the source image to draw. Member of the enumeration that specifies the units of measure used to determine the source rectangle. that specifies recoloring and gamma information for the object. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` ``

  The , , , and parameters specify a rectangular portion, of the object to draw. The rectangle is relative to the upper-left corner of the source image. This portion is scaled to fit inside the rectangle specified by the parameter.

  Draws the specified portion of the specified at the specified location and with the specified size.

  to draw. structure that specifies the location and size of the drawn image. The image is scaled to fit the rectangle. The x-coordinate of the upper-left corner of the portion of the source image to draw. The y-coordinate of the upper-left corner of the portion of the source image to draw. Width of the portion of the source image to draw. Height of the portion of the source image to draw. Member of the enumeration that specifies the units of measure used to determine the source rectangle. that specifies recoloring and gamma information for the object. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` `` To be added: an object of type 'Image' To be added: an object of type 'Rectangle' To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Imaging.ImageAttributes' To be added: an object of type 'Graphics+DrawImageAbort' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` `` To be added: an object of type 'Image' To be added: an object of type 'Rectangle' To be added: an object of type 'float' To be added: an object of type 'float' To be added: an object of type 'float' To be added: an object of type 'float' To be added: an object of type 'GraphicsUnit' To be added. To be added: an object of type 'Graphics+DrawImageAbort' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` To be added: an object of type 'Image' To be added: an object of type 'Rectangle' To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'GraphicsUnit' To be added. To be added: an object of type 'Graphics+DrawImageAbort' To be added: an object of type 'IntPtr' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` `` `` To be added: an object of type 'Image' To be added: an object of type 'Rectangle' To be added: an object of type 'float' To be added: an object of type 'float' To be added: an object of type 'float' To be added: an object of type 'float' To be added: an object of type 'GraphicsUnit' To be added. To be added: an object of type 'Graphics+DrawImageAbort' To be added: an object of type 'IntPtr' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  An stores a value for pixel width and a value for horizontal resolution (dots per inch). The physical width, measured in inches, of an image is the pixel width divided by the horizontal resolution. For example, an image with a pixel width of 216 and a horizontal resolution of 72 dots per inch has a physical width of 3 inches. Similar remarks apply to pixel height and physical height.

  The method draws an image using its physical size, so the image will have its correct size in inches regardless of the resolution (dots per inch) of the display device. For example, suppose an image has a pixel width of 216 and a horizontal resolution of 72 dots per inch. If you call to draw that image on a device that has a resolution of 96 dots per inch, the pixel width of the rendered image will be (216/72)*96 = 288.

  Draws a specified image using its original physical size at a specified location.

  to draw. structure that specifies the upper-left corner of the drawn image. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  An stores a value for pixel width and a value for horizontal resolution (dots per inch). The physical width, measured in inches, of an image is the pixel width divided by the horizontal resolution. For example, an image with a pixel width of 216 and a horizontal resolution of 72 dots per inch has a physical width of 3 inches. Similar remarks apply to pixel height and physical height.

  The method draws an image using its physical size, so the image will have its correct size in inches regardless of the resolution (dots per inch) of the display device. For example, suppose an image has a pixel width of 216 and a horizontal resolution of 72 dots per inch. If you call to draw that image on a device that has a resolution of 96 dots per inch, the pixel width of the rendered image will be (216/72)*96 = 288.

  Draws a specified image using its original physical size at a specified location.

  to draw. that specifies the upper-left corner of the drawn image. The X and Y properties of the rectangle specify the upper-left corner. The Width and Height properties are ignored. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  An stores a value for pixel width and a value for horizontal resolution (dots per inch). The physical width, measured in inches, of an image is the pixel width divided by the horizontal resolution. For example, an image with a pixel width of 216 and a horizontal resolution of 72 dots per inch has a physical width of 3 inches. Similar remarks apply to pixel height and physical height.

  The method draws an image using its physical size, so the image will have its correct size in inches regardless of the resolution (dots per inch) of the display device. For example, suppose an image has a pixel width of 216 and a horizontal resolution of 72 dots per inch. If you call to draw that image on a device that has a resolution of 96 dots per inch, the pixel width of the rendered image will be (216/72)*96 = 288.

  Draws the specified image using its original physical size at the location specified by a coordinate pair.

  to draw. The x-coordinate of the upper-left corner of the drawn image. The y-coordinate of the upper-left corner of the drawn image. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  An stores a value for pixel width and a value for horizontal resolution (dots per inch). The physical width, measured in inches, of an image is the pixel width divided by the horizontal resolution. For example, an image with a pixel width of 216 and a horizontal resolution of 72 dots per inch has a physical width of 3 inches. Similar remarks apply to pixel height and physical height.

  The method draws an image using its physical size, so the image will have its correct size in inches regardless of the resolution (dots per inch) of the display device. For example, suppose an image has a pixel width of 216 and a horizontal resolution of 72 dots per inch. If you call to draw that image on a device that has a resolution of 96 dots per inch, the pixel width of the rendered image will be (216/72)*96 = 288.

  Draws a specified image using its original physical size at a specified location.

  to draw. The x-coordinate of the upper-left corner of the drawn image. The y-coordinate of the upper-left corner of the drawn image. Not used. Not used. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Draws the specified image without scaling and clips it, if necessary, to fit in the specified rectangle.

  The to draw. The in which to draw the image.
- Method
  System.Void `` `` ``

  Draws a line between points p1 and p2 using the given pen.

  The pen must be non-null, or an ArgumentNullException is raised.

  Draws a line connecting two structures.

  that determines the color, width, and style of the line. structure that represents the first point to connect. structure that represents the second point to connect. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  This method draws a line connecting the two points specified by the and p parameters.

  Draws a line connecting two structures.

  that determines the color, width, and style of the line. structure that represents the first point to connect. structure that represents the second point to connect. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  This method draws a line connecting the two points specified by the , , , and parameters.

  Draws a line connecting the two points specified by the coordinate pairs.

  that determines the color, width, and style of the line. The x-coordinate of the first point. The y-coordinate of the first point. The x-coordinate of the second point. The y-coordinate of the second point. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  This method draws a line connecting the two points specified by the , , , and parameters.

  Draws a line connecting the two points specified by the coordinate pairs.

  that determines the color, width, and style of the line. The x-coordinate of the first point. The y-coordinate of the first point. The x-coordinate of the second point. The y-coordinate of the second point. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method draws a series of lines connecting an array of ending points. The first two points in the array specify the first line. Each additional point specifies the end of a line segment whose starting point is the ending point of the previous line segment.

  Draws a series of line segments that connect an array of structures.

  that determines the color, width, and style of the line segments. Array of structures that represent the points to connect. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method draws a series of lines connecting an array of ending points. The first two points in the array specify the first line. Each additional point specifies the end of a line segment whose starting point is the ending point of the previous line segment.

  Draws a series of line segments that connect an array of structures.

  that determines the color, width, and style of the line segments. Array of structures that represent the points to connect. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The current transformation in the graphic context is applied to the before it is drawn.

  Draws a .

  that determines the color, width, and style of the path. to draw. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  This method draws a pie shape defined by an arc of an ellipse and the two radial lines that intersect with the endpoints of the arc. The ellipse is defined by the bounding rectangle. The pie shape consists of the two radial lines defined by the and parameters, and the arc between the intersections of those radial lines with the ellipse.

  If the parameter is greater than 360 degrees or less than -360 degrees, it is treated as if it were 360 degrees or -360 degrees, respectively.

  Draws a pie shape defined by an ellipse specified by a structure and two radial lines.

  that determines the color, width, and style of the pie shape. structure that represents the bounding rectangle that defines the ellipse from which the pie shape comes. Angle measured in degrees clockwise from the x-axis to the first side of the pie shape. Angle measured in degrees clockwise from the parameter to the second side of the pie shape. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  This method draws a pie shape defined by an arc of an ellipse and the two radial lines that intersect with the endpoints of the arc. The ellipse is defined by the bounding rectangle. The pie shape consists of the two radial lines defined by the and parameters, and the arc between the intersections of those radial lines with the ellipse.

  If the parameter is greater than 360 degrees or less than -360 degrees, it is treated as if it were 360 degrees or -360 degrees, respectively.

  Draws a pie shape defined by an ellipse specified by a structure and two radial lines.

  that determines the color, width, and style of the pie shape. structure that represents the bounding rectangle that defines the ellipse from which the pie shape comes. Angle measured in degrees clockwise from the x-axis to the first side of the pie shape. Angle measured in degrees clockwise from the parameter to the second side of the pie shape. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` ``

  This method draws a pie shape defined by an arc of an ellipse and the two radial lines that intersect with the endpoints of the arc. The ellipse is defined by the bounding rectangle described by the , , , and parameters. The pie shape consists of the two radial lines defined by the and parameters, and the arc between the intersections of those radial lines with the ellipse.

  If the parameter is greater than 360 degrees or less than -360 degrees, it is treated as if it were 360 degrees or -360 degrees, respectively.

  Draws a pie shape defined by an ellipse specified by a coordinate pair, a width, a height, and two radial lines.

  that determines the color, width, and style of the pie shape. The x-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse from which the pie shape comes. The y-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse from which the pie shape comes. Width of the bounding rectangle that defines the ellipse from which the pie shape comes. Height of the bounding rectangle that defines the ellipse from which the pie shape comes. Angle measured in degrees clockwise from the x-axis to the first side of the pie shape. Angle measured in degrees clockwise from the parameter to the second side of the pie shape. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` ``

  This method draws a pie shape defined by an arc of an ellipse and the two radial lines that intersect with the endpoints of the arc. The ellipse is defined by the bounding rectangle described by the , , , and parameters. The pie shape consists of the two radial lines defined by the and parameters, and the arc between the intersections of those radial lines with the ellipse.

  If the parameter is greater than 360 degrees or less than -360 degrees, it is treated as if it were 360 degrees or -360 degrees, respectively.

  Draws a pie shape defined by an ellipse specified by a coordinate pair, a width, a height, and two radial lines.

  that determines the color, width, and style of the pie shape. The x-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse from which the pie shape comes. The y-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse from which the pie shape comes. Width of the bounding rectangle that defines the ellipse from which the pie shape comes. Height of the bounding rectangle that defines the ellipse from which the pie shape comes. Angle measured in degrees clockwise from the x-axis to the first side of the pie shape. Angle measured in degrees clockwise from the parameter to the second side of the pie shape. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  Every pair of two consecutive points in the array specifies a side of the polygon. In addition, if the last point and the first point of the array do not coincide, they specify the last side of the polygon.

  Draws a polygon defined by an array of structures.

  that determines the color, width, and style of the polygon. Array of structures that represent the vertices of the polygon. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  Every pair of two consecutive points in the array specifies a side of the polygon. In addition, if the last point and the first of the array point do not coincide, they specify the last side of the polygon.

  Draws a polygon defined by an array of structures.

  that determines the color, width, and style of the polygon. Array of structures that represent the vertices of the polygon. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  For information about how to draw a , see .

  Draws a rectangle specified by a structure.

  A that determines the color, width, and style of the rectangle. A structure that represents the rectangle to draw. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  For information about how to draw a , see .

  Draws a rectangle specified by a coordinate pair, a width, and a height.

  that determines the color, width, and style of the rectangle. The x-coordinate of the upper-left corner of the rectangle to draw. The y-coordinate of the upper-left corner of the rectangle to draw. Width of the rectangle to draw. Height of the rectangle to draw. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  For information about how to draw a , see .

  Draws a rectangle specified by a coordinate pair, a width, and a height.

  A that determines the color, width, and style of the rectangle. The x-coordinate of the upper-left corner of the rectangle to draw. The y-coordinate of the upper-left corner of the rectangle to draw. The width of the rectangle to draw. The height of the rectangle to draw. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Draws a series of rectangles specified by structures.

  that determines the color, width, and style of the outlines of the rectangles. Array of structures that represent the rectangles to draw. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Draws a series of rectangles specified by structures.

  that determines the color, width, and style of the outlines of the rectangles. Array of structures that represent the rectangles to draw. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` To be added

  Draws the specified text string at the specified location with the specified and objects.

  String to draw. that defines the text format of the string. that determines the color and texture of the drawn text. structure that specifies the upper-left corner of the drawn text. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  The text represented by the parameter is drawn inside the rectangle represented by the parameter. If the text does not fit inside the rectangle, it is truncated at the nearest word. To further manipulate how the string is drawn inside the rectangle use the overload that takes a .

  Draws the specified text string in the specified rectangle with the specified and objects.

  String to draw. that defines the text format of the string. that determines the color and texture of the drawn text. structure that specifies the location of the drawn text. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added

  Draws the specified text string at the specified location with the specified and objects using the formatting attributes of the specified .

  String to draw. that defines the text format of the string. that determines the color and texture of the drawn text. structure that specifies the upper-left corner of the drawn text. that specifies formatting attributes, such as line spacing and alignment, that are applied to the drawn text. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  The text represented by the parameter is drawn inside the rectangle represented by the parameter. If the text does not fit inside the rectangle, it is truncated at the nearest word, unless otherwise specified with the parameter.

  Draws the specified text string in the specified rectangle with the specified and objects using the formatting attributes of the specified .

  String to draw. that defines the text format of the string. that determines the color and texture of the drawn text. structure that specifies the location of the drawn text. that specifies formatting attributes, such as line spacing and alignment, that are applied to the drawn text. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added

  Draws the specified text string at the specified location with the specified and objects.

  String to draw. that defines the text format of the string. that determines the color and texture of the drawn text. The x-coordinate of the upper-left corner of the drawn text. The y-coordinate of the upper-left corner of the drawn text. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` To be added

  Draws the specified text string at the specified location with the specified and objects using the formatting attributes of the specified .

  String to draw. that defines the text format of the string. that determines the color and texture of the drawn text. The x-coordinate of the upper-left corner of the drawn text. The y-coordinate of the upper-left corner of the drawn text. that specifies formatting attributes, such as line spacing and alignment, that are applied to the drawn text. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Use this method with the method to create nested graphics containers. Graphics containers retain graphics state, such as transformation, clipping region, and rendering properties.

  When you call the method of a , an information block that holds the state of the is put on a stack. The method returns a that identifies that information block. When you pass the identifying object to the method, the information block is removed from the stack and is used to restore the to the state it was in at the time of the method call.

  Containers can be nested; that is, you can call the method several times before you call the method. Each time you call the method, an information block is put on the stack, and you receive a for the information block. When you pass one of those objects to the method, the is returned to the state it was in at the time of the method call that returned that particular . The information block placed on the stack by that method call is removed from the stack, and all information blocks placed on that stack after that method call are also removed.

  Calls to the method place information blocks on the same stack as calls to the method. Just as an method call is paired with a method call, a method call is paired with a method call.

  When you call the method, all information blocks placed on the stack (by the method or by the method) after the corresponding call to the method are removed from the stack. Likewise, when you call the method, all information blocks placed on the stack (by the method or by the method) after the corresponding call to the method are removed from the stack.

  Closes the current graphics container and restores the state of this to the state saved by a call to the method.

  that represents the container this method restores. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'Point' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'Point []' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'PointF' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'PointF []' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'Rectangle' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'RectangleF' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'Point' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'Point []' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'PointF' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'PointF []' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'Rectangle' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'RectangleF' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'Point' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added: an object of type 'Imaging.ImageAttributes' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'Point' To be added: an object of type 'Rectangle' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'Point []' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added: an object of type 'Imaging.ImageAttributes' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'Point []' To be added: an object of type 'Rectangle' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'PointF' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added: an object of type 'Imaging.ImageAttributes' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'PointF' To be added: an object of type 'RectangleF' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'PointF []' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added: an object of type 'Imaging.ImageAttributes' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'PointF []' To be added: an object of type 'RectangleF' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'Rectangle' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added: an object of type 'Imaging.ImageAttributes' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'Rectangle' To be added: an object of type 'Rectangle' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'RectangleF' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added: an object of type 'Imaging.ImageAttributes' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'RectangleF' To be added: an object of type 'RectangleF' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'Point' To be added: an object of type 'Rectangle' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'Point []' To be added: an object of type 'Rectangle' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'PointF' To be added: an object of type 'RectangleF' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'PointF []' To be added: an object of type 'RectangleF' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'Rectangle' To be added: an object of type 'Rectangle' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'RectangleF' To be added: an object of type 'RectangleF' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'Point' To be added: an object of type 'Rectangle' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added: an object of type 'Imaging.ImageAttributes' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'Point []' To be added: an object of type 'Rectangle' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added: an object of type 'Imaging.ImageAttributes' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'PointF' To be added: an object of type 'RectangleF' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added: an object of type 'Imaging.ImageAttributes' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'PointF []' To be added: an object of type 'RectangleF' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added: an object of type 'Imaging.ImageAttributes' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'Rectangle' To be added: an object of type 'Rectangle' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added: an object of type 'Imaging.ImageAttributes' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` To be added: an object of type 'Imaging.Metafile' To be added: an object of type 'RectangleF' To be added: an object of type 'RectangleF' To be added: an object of type 'GraphicsUnit' To be added: an object of type 'Graphics+EnumerateMetafileProc' To be added: an object of type 'IntPtr' To be added: an object of type 'Imaging.ImageAttributes' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method excludes the area specified by the parameter from the current clip region and assigns the resulting area to the property of this .

  Updates the clip region of this to exclude the area specified by a structure.

  structure that specifies the rectangle to exclude from the clip region. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method excludes the area specified by the parameter from the current clip region and assigns the resulting area to the property of this .

  Updates the clip region of this to exclude the area specified by a .

  that specifies the region to exclude from the clip region. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method fills the interior of a closed cardinal spline that passes through each point in the array. If the last point does not match the first point, an additional curve segment is added from the last point to the first point to close it.

  The array of points must contain at least four structures.

  This method uses a default tension of 0.5.

  Fills the interior of a closed cardinal spline curve defined by an array of structures.

  that determines the characteristics of the fill. Array of structures that define the spline. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method fills the interior of a closed cardinal spline that passes through each point in the array. If the last point does not match the first point, an additional curve segment is added from the last point to the first point to close it.

  The array of points must contain at least four structures.

  This method uses a default tension of 0.5.

  Fills the interior of a closed cardinal spline curve defined by an array of structures.

  that determines the characteristics of the fill. Array of structures that define the spline. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  This method fills the interior of a closed cardinal spline that passes through each point in the array. If the last point does not match the first point, an additional curve segment is added from the last point to the first point to close it.

  The array of points must contain at least four structures.

  This method uses a default tension of 0.5.

  Fills the interior of a closed cardinal spline curve defined by an array of structures using the specified fill mode.

  that determines the characteristics of the fill. Array of structures that define the spline. Member of the enumeration that determines how the curve is filled. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  This method fills the interior of a closed cardinal spline that passes through each point in the array. If the last point does not match the first point, an additional curve segment is added from the last point to the first point to close it.

  The array of points must contain at least four structures.

  This method uses a default tension of 0.5.

  Fills the interior of a closed cardinal spline curve defined by an array of structures using the specified fill mode.

  that determines the characteristics of the fill. Array of structures that define the spline. Member of the enumeration that determines how the curve is filled. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  This method fills the interior of a closed cardinal spline that passes through each point in the array. If the last point does not match the first point, an additional curve segment is added from the last point to the first point to close it.

  The array of points must contain at least four structures.

  The parameter determines the shape of the spline. If the value of the parameter is 0.0F, this method draws straight line segments to connect the points. Usually, the parameter is less than or equal to 1.0F. Values over 1.0F produce unusual results.

  Fills the interior of a closed cardinal spline curve defined by an array of structures using the specified fill mode and tension.

  that determines the characteristics of the fill. Array of structures that define the spline. Member of the enumeration that determines how the curve is filled. Value greater than or equal to 0.0F that specifies the tension of the curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  This method fills the interior of a closed cardinal spline that passes through each point in the array. If the last point does not match the first point, an additional curve segment is added from the last point to the first point to close it.

  The array of points must contain at least four structures.

  The parameter determines the shape of the spline. If the value of the parameter is 0.0F, this method draws straight line segments to connect the points. Usually, the parameter is less than or equal to 1.0F. Values over 1.0F produce unusual results.

  Fills the interior of a closed cardinal spline curve defined by an array of structures using the specified fill mode and tension.

  A that determines the characteristics of the fill. Array of structures that define the spline. Member of the enumeration that determines how the curve is filled. Value greater than or equal to 0.0F that specifies the tension of the curve. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method fills the interior of an ellipse with a . The ellipse is defined by the bounding rectangle represented by the parameter.

  Fills the interior of an ellipse defined by a bounding rectangle specified by a structure.

  that determines the characteristics of the fill. structure that represents the bounding rectangle that defines the ellipse. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method fills the interior of an ellipse with a . The ellipse is defined by the bounding rectangle represented by the parameter.

  Fills the interior of an ellipse defined by a bounding rectangle specified by a structure.

  that determines the characteristics of the fill. structure that represents the bounding rectangle that defines the ellipse. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  This method fills the interior of an ellipse with a . The ellipse is defined by the bounding rectangle represented by the , , , and parameters.

  Fills the interior of an ellipse defined by a bounding rectangle specified by a pair of coordinates, a width, and a height.

  that determines the characteristics of the fill. The x-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse. The y-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse. Width of the bounding rectangle that defines the ellipse. Height of the bounding rectangle that defines the ellipse. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  This method fills the interior of an ellipse with a . The ellipse is defined by the bounding rectangle represented by the , , , and parameters.

  Fills the interior of an ellipse defined by a bounding rectangle specified by a pair of coordinates, a width, and a height.

  that determines the characteristics of the fill. The x-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse. The y-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse. Width of the bounding rectangle that defines the ellipse. Height of the bounding rectangle that defines the ellipse. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  A consists of a series of line and curve segments. If the path represented by the parameter is not closed, an additional segment is added from the last point to the first point to close the path.

  Fills the interior of a .

  that determines the characteristics of the fill. that represents the path to fill. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  This method fills the interior of a pie section defined by an arc of an ellipse and the two radial lines that intersect with the endpoints of the arc. The ellipse is defined by the bounding rectangle. The pie section consists of the two radial lines defined by the and parameters and the arc between the intersections of those radial lines with the ellipse.

  If the parameter is greater than 360 degrees or less than -360 degrees, it is treated as if it were 360 degrees or -360 degrees, respectively.

  Fills the interior of a pie section defined by an ellipse specified by a structure and two radial lines.

  that determines the characteristics of the fill. structure that represents the bounding rectangle that defines the ellipse from which the pie section comes. Angle in degrees measured clockwise from the x-axis to the first side of the pie section. Angle in degrees measured clockwise from the parameter to the second side of the pie section. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` ``

  This method fills the interior of a pie section defined by an arc of an ellipse and the two radial lines that intersect with the endpoints of the arc. The ellipse is defined by the bounding rectangle. The pie section consists of the two radial lines defined by the and parameters and the arc between the intersections of those radial lines with the ellipse.

  If the parameter is greater than 360 degrees or less than -360 degrees, it is treated as if it were 360 degrees or -360 degrees, respectively.

  Fills the interior of a pie section defined by an ellipse specified by a pair of coordinates, a width, a height, and two radial lines.

  that determines the characteristics of the fill. The x-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse from which the pie section comes. The y-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse from which the pie section comes. Width of the bounding rectangle that defines the ellipse from which the pie section comes. Height of the bounding rectangle that defines the ellipse from which the pie section comes. Angle in degrees measured clockwise from the x-axis to the first side of the pie section. Angle in degrees measured clockwise from the parameter to the second side of the pie section. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` ``

  This method fills the interior of a pie section defined by an arc of an ellipse and the two radial lines that intersect with the endpoints of the arc. The ellipse is defined by the bounding rectangle. The pie section consists of the two radial lines defined by the and parameters, and the arc between the intersections of those radial lines with the ellipse.

  If the parameter is greater than 360 degrees or less than -360 degrees, it is treated as if it were 360 degrees or -360 degrees, respectively.

  Fills the interior of a pie section defined by an ellipse specified by a pair of coordinates, a width, a height, and two radial lines.

  that determines the characteristics of the fill. The x-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse from which the pie section comes. The y-coordinate of the upper-left corner of the bounding rectangle that defines the ellipse from which the pie section comes. Width of the bounding rectangle that defines the ellipse from which the pie section comes. Height of the bounding rectangle that defines the ellipse from which the pie section comes. Angle in degrees measured clockwise from the x-axis to the first side of the pie section. Angle in degrees measured clockwise from the parameter to the second side of the pie section. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  Every two consecutive points in the array specify a side of the polygon. In addition, if the last point and the first point do not coincide, they specify the closing side of the polygon.

  Fills the interior of a polygon defined by an array of points specified by structures.

  that determines the characteristics of the fill. Array of structures that represent the vertices of the polygon to fill. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  Every two consecutive points in the array specify a side of the polygon. In addition, if the last point and the first point do not coincide, they specify the closing side of the polygon.

  Fills the interior of a polygon defined by an array of points specified by structures.

  that determines the characteristics of the fill. Array of structures that represent the vertices of the polygon to fill. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  Every two consecutive points in the array specify a side of the polygon. In addition, if the last point and the first point do not coincide, they specify the closing side of the polygon.

  Fills the interior of a polygon defined by an array of points specified by structures using the specified fill mode.

  that determines the characteristics of the fill. Array of structures that represent the vertices of the polygon to fill. Member of the enumeration that determines the style of the fill. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  Every two consecutive points in the array specify a side of the polygon. In addition, if the last point and the first point do not coincide, they specify the closing side of the polygon.

  Fills the interior of a polygon defined by an array of points specified by structures using the specified fill mode.

  that determines the characteristics of the fill. Array of structures that represent the vertices of the polygon to fill. Member of the enumeration that determines the style of the fill. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method fills the interior of the rectangle defined by the parameter, including the specified upper-left corner and up to the calculated lower and bottom edges.

  Fills the interior of a rectangle specified by a structure.

  that determines the characteristics of the fill. structure that represents the rectangle to fill. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method fills the interior of the rectangle defined by the parameter, including the specified upper-left corner and up to the calculated lower and bottom edges.

  Fills the interior of a rectangle specified by a structure.

  that determines the characteristics of the fill. structure that represents the rectangle to fill. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  This method fills the interior of the rectangle defined by the , , , and parameters, including the specified upper-left corner and up to the calculated lower and bottom edges.

  Fills the interior of a rectangle specified by a pair of coordinates, a width, and a height.

  that determines the characteristics of the fill. The x-coordinate of the upper-left corner of the rectangle to fill. The y-coordinate of the upper-left corner of the rectangle to fill. Width of the rectangle to fill. Height of the rectangle to fill. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` ``

  This method fills the interior of the rectangle defined by the , , , and parameters, including the specified upper-left corner and up to the calculated lower and bottom edges.

  Fills the interior of a rectangle specified by a pair of coordinates, a width, and a height.

  that determines the characteristics of the fill. The x-coordinate of the upper-left corner of the rectangle to fill. The y-coordinate of the upper-left corner of the rectangle to fill. Width of the rectangle to fill. Height of the rectangle to fill. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Fills the interiors of a series of rectangles specified by structures.

  that determines the characteristics of the fill. Array of structures that represent the rectangles to fill. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Fills the interiors of a series of rectangles specified by structures.

  that determines the characteristics of the fill. Array of structures that represent the rectangles to fill. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  A is composed of rectangles and paths. If the region is not closed, an additional segment is added from the last point to the first point to close it.

  Fills the interior of a .

  that determines the characteristics of the fill. that represents the area to fill. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added. To be added.
- Method
  System.Void

  This method starts a flush and returns immediately without waiting for any currently executing graphics operation to finish.

  Forces execution of all pending graphics operations and returns immediately without waiting for the operations to finish.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  A value of for the parameter specifies that the method return immediately after beginning the flush, while a value of specifies that the method wait before returning until any existing operations finish.

  Forces execution of all pending graphics operations with the method waiting or not waiting, as specified, to return before the operations finish.

  Member of the enumeration that specifies whether the method returns immediately or waits for any existing operations to finish. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Graphics ``

  You should always call the method to release the and related resources created by the method.

  Even if the display device has an associated ICM color profile, ndptecgdiplus will not use that profile by default. To enable ICM for a , construct the from an HDC after you pass the HDC (and ICM_ON) to the SetICMMode function. Then any drawing done by the will be adjusted according to the ICM profile associated with the display device. Enabling ICM will result in slower performance.

  The state of the device context (mapping mode, logical unit, and the like) at the time you call can affect rendering done by the .

  Creates a new from the specified handle to a device context.

  This method returns a new for the specified device context.

  Handle to a device context. 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
- Method
  System.Drawing.Graphics `` ``

  You should always call the method to release the and related resources created by the method.

  Even if the display device has an associated ICM color profile, ndptecgdiplus will not use that profile by default. To enable ICM for a , construct the from an HDC after you pass the HDC (and ICM_ON) to the SetICMMode function. Then any drawing done by the will be adjusted according to the ICM profile associated with the display device. Enabling ICM will result in slower performance.

  The state of the device context (mapping mode, logical unit, and the like) at the time you call can affect rendering done by the .

  The device handle is typically used to query specific printer capabilities.

  Creates a new from the specified handle to a device context and handle to a device.

  This method returns a new for the specified device context and device.

  Handle to a device context. Handle to a device. 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
- Method
  System.Drawing.Graphics ``

  This method should not be used.

  Returns a for the specified device context.

  A for the specified device context.

  Handle to a device context. 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
- Method
  System.Drawing.Graphics ``

  You should always call the method to release the and related resources created by the method.

  Creates a new from the specified handle to a window.

  This method returns a new for the specified window handle.

  Handle to a window. 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
- Method
  System.Drawing.Graphics ``

  This method should not be used.

  Creates a new for the specified windows handle.

  A for the specified window handle.

  Handle to a window. 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
- Method
  System.Drawing.Graphics ``

  If the image has an indexed pixel format, this method throws an exception with the message, "A Graphics object cannot be created from an image that has an indexed pixel format." The indexed pixel formats are shown in the following list.

  You can save the indexed image as another format by using the method and then retrieve a object for the new image.

  This method also throws an exception if the image has any of the following pixel formats.

  You should always call the method to release the and related resources created by the method.

  Creates a new from the specified .

  This method returns a new for the specified .

  from which to create the new . 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Object

  The return value is an object array where the first element contains the cumulative clip region and the second element contains the cumulative translate/transform matrix.

  Gets the cumulative graphics context.

  An representing the cumulative graphics context.

- Method
  System.IntPtr

  The purpose of the method is to enable ndptecgdiplus to produce a better quality halftone when the display uses 8 bits per pixel. To display an image using the halftone palette, use the following procedure.

  Gets a handle to the current Windows halftone palette.

  Internal pointer that specifies the handle to the palette.

  1.0.5000.0
  2.0.0.0
- Method
  System.IntPtr

  The device context is a Windows structure based on ndptecgdi that defines a set of graphical objects and their associated attributes, as well as the graphical modes that affect output. This method returns that device context with the exception of a font. Because a font is not selected, calls to the method using a handle returned from the method will fail.

  Calls to the and methods must appear in pairs. During the scope of a and method pair, you usually make only calls to ndptecgdi functions. Calls in that scope made to ndptecgdiplus methods of the that produced the parameter fail with an ObjectBusy error. Also, ndptecgdiplus ignores any state changes made to the of the parameter in subsequent operations.

  Gets the handle to the device context associated with this .

  Handle to the device context associated with this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Drawing.Color `` To be added

  Gets the nearest color to the specified structure.

  A structure that represents the nearest color to the one specified with the parameter.

  structure for which to find a match. 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Drawing2D.InterpolationMode To be added: an object of type 'Drawing2D.InterpolationMode'

  The interpolation mode determines how intermediate values between two endpoints are calculated.

  Gets or sets the interpolation mode associated with this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method assigns to the property of this the area represented by the intersection of the current clip region and the rectangle specified by the parameter.

  Updates the clip region of this to the intersection of the current clip region and the specified structure.

  structure to intersect with the current clip region. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method assigns to the property of this the area represented by the intersection of the current clip region and the rectangle specified by the parameter.

  Updates the clip region of this to the intersection of the current clip region and the specified structure.

  structure to intersect with the current clip region. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method assigns to the property of this the area represented by the intersection of the current clip region and the region specified by the parameter.

  Updates the clip region of this to the intersection of the current clip region and the specified .

  to intersect with the current region. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the clipping region of this is empty.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Indicates whether the specified structure is contained within the visible clip region of this .

  true if the point specified by the parameter is contained within the visible clip region of this ; otherwise, false.

  structure to test for visibility. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Indicates whether the specified structure is contained within the visible clip region of this .

  true if the point specified by the parameter is contained within the visible clip region of this ; otherwise, false.

  structure to test for visibility. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Indicates whether the rectangle specified by a structure is contained within the visible clip region of this .

  true if the rectangle specified by the parameter is contained within the visible clip region of this ; otherwise, false.

  structure to test for visibility. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Indicates whether the rectangle specified by a structure is contained within the visible clip region of this .

  true if the rectangle specified by the parameter is contained within the visible clip region of this ; otherwise, false.

  structure to test for visibility. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added

  Indicates whether the point specified by a pair of coordinates is contained within the visible clip region of this .

  true if the point defined by the and parameters is contained within the visible clip region of this ; otherwise, false.

  The x-coordinate of the point to test for visibility. The y-coordinate of the point to test for visibility. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added

  Indicates whether the point specified by a pair of coordinates is contained within the visible clip region of this .

  true if the point defined by the and parameters is contained within the visible clip region of this ; otherwise, false.

  The x-coordinate of the point to test for visibility. The y-coordinate of the point to test for visibility. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` `` `` To be added

  Indicates whether the rectangle specified by a pair of coordinates, a width, and a height is contained within the visible clip region of this .

  true if the rectangle defined by the , , , and parameters is contained within the visible clip region of this ; otherwise, false.

  The x-coordinate of the upper-left corner of the rectangle to test for visibility. The y-coordinate of the upper-left corner of the rectangle to test for visibility. Width of the rectangle to test for visibility. Height of the rectangle to test for visibility. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` `` `` To be added

  Indicates whether the rectangle specified by a pair of coordinates, a width, and a height is contained within the visible clip region of this .

  true if the rectangle defined by the , , , and parameters is contained within the visible clip region of this ; otherwise, false.

  The x-coordinate of the upper-left corner of the rectangle to test for visibility. The y-coordinate of the upper-left corner of the rectangle to test for visibility. Width of the rectangle to test for visibility. Height of the rectangle to test for visibility. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  The visible clipping region is the intersection of the clipping region of this Graphics and the clipping region of the window.

  Gets a value indicating whether the visible clipping region of this is empty.

  1.0.5000.0
  2.0.0.0
- Method
  System.Drawing.Region[] `` `` `` ``

  The regions returned by this method are resolution-dependent, so there might be a slight loss of accuracy if strings are recorded in a metafile at one resolution and later played back at a different resolution.

  Gets an array of objects, each of which bounds a range of character positions within the specified string.

  This method returns an array of objects, each of which bounds a range of character positions within the specified string.

  String to measure. that defines the text format of the string. structure that specifies the layout rectangle for the string. that represents formatting information, such as line spacing, for the string. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.SizeF `` ``

  The method is designed for use with individual strings and includes a small amount of extra space before and after the string to allow for overhanging glyphs. Also, the method adjusts glyph points to optimize display quality and might display a string narrower than reported by . To obtain metrics suitable for adjacent strings in layout (for example, when implementing formatted text), use the method or one of the methods that takes a , and pass . Also, ensure the for the is .

  Measures the specified string when drawn with the specified .

  This method returns a structure that represents the size, in the units specified by the property, of the string specified by the parameter as drawn with the parameter.

  String to measure. that defines the text format of the string. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.SizeF `` `` ``

  The method is designed for use with individual strings and includes a small amount of extra space before and after the string to allow for overhanging glyphs. Also, the method adjusts glyph points to optimize display quality and might display a string narrower than reported by . To obtain metrics suitable for adjacent strings in layout (for example, when implementing formatted text), use the method or one of the methods that takes a , and pass . Also, ensure the for the is .

  Measures the specified string when drawn with the specified within the specified layout area.

  This method returns a structure that represents the size, in the units specified by the property, of the string specified by the parameter as drawn with the parameter.

  String to measure. defines the text format of the string. structure that specifies the maximum layout area for the text. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.SizeF `` `` ``

  The parameter specifies the maximum value of the width component of the returned structure (). If the parameter is less than the actual width of the string, the returned component is truncated to a value representing the maximum number of characters that will fit within the specified width. To accommodate the entire string, the returned component is adjusted to a value that allows displaying the string with character wrap.

  The method is designed for use with individual strings and includes a small amount of extra space before and after the string to allow for overhanging glyphs. Also, the method adjusts glyph points to optimize display quality and might display a string narrower than reported by . To obtain metrics suitable for adjacent strings in layout (for example, when implementing formatted text), use the method or one of the methods that takes a , and pass . Also, ensure the for the is .

  Measures the specified string when drawn with the specified .

  This method returns a structure that represents the size, in the units specified by the property, of the string specified in the parameter as drawn with the parameter.

  String to measure. that defines the format of the string. Maximum width of the string in pixels. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.SizeF `` `` `` ``

  The method is designed for use with individual strings and includes a small amount of extra space before and after the string to allow for overhanging glyphs. Also, the method adjusts glyph points to optimize display quality and might display a string narrower than reported by . To obtain metrics suitable for adjacent strings in layout (for example, when implementing formatted text), use the method or one of the methods that takes a , and pass . Also, ensure the for the is .

  Measures the specified string when drawn with the specified and formatted with the specified .

  This method returns a structure that represents the size, in the units specified by the property, of the string specified by the parameter as drawn with the parameter and the parameter.

  String to measure. defines the text format of the string. structure that represents the upper-left corner of the string. that represents formatting information, such as line spacing, for the string. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.SizeF `` `` `` ``

  The method is designed for use with individual strings and includes a small amount of extra space before and after the string to allow for overhanging glyphs. Also, the method adjusts glyph points to optimize display quality and might display a string narrower than reported by . To obtain metrics suitable for adjacent strings in layout (for example, when implementing formatted text), use the method or one of the methods that takes a , and pass . Also, ensure the for the is .

  Measures the specified string when drawn with the specified and formatted with the specified .

  This method returns a structure that represents the size, in the units specified by the property, of the string specified in the parameter as drawn with the parameter and the parameter.

  String to measure. defines the text format of the string. structure that specifies the maximum layout area for the text. that represents formatting information, such as line spacing, for the string. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.SizeF `` `` `` ``

  The method is designed for use with individual strings and includes a small amount of extra space before and after the string to allow for overhanging glyphs. Also, the method adjusts glyph points to optimize display quality and might display a string narrower than reported by . To obtain metrics suitable for adjacent strings in layout (for example, when implementing formatted text), use the method or one of the methods that takes a , and pass . Also, ensure the for the is .

  Measures the specified string when drawn with the specified and formatted with the specified .

  This method returns a structure that represents the size, in the units specified by the property, of the string specified in the parameter as drawn with the parameter and the parameter.

  String to measure. that defines the text format of the string. Maximum width of the string. that represents formatting information, such as line spacing, for the string. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.SizeF `` `` `` `` `` `` To be added: an object of type 'string' To be added: an object of type 'Font' To be added: an object of type 'SizeF' To be added: an object of type 'StringFormat' To be added: an object of type 'int&' To be added: an object of type 'int&' To be added To be added: an object of type 'SizeF' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method prepends the matrix specified by the parameter, so that the result is x world transformation.

  Multiplies the world transformation of this and specified the .

  4x4 that multiplies the world transformation. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  A value of for the parameter specifies that the order of the multiplication is x world transformation. A value of for specifies that the order of the multiplication is world transformation x .

  Multiplies the world transformation of this and specified the in the specified order.

  4x4 that multiplies the world transformation. Member of the enumeration that determines the order of the multiplication. 1.0.5000.0 2.0.0.0
- Property
  System.Single To be added: an object of type 'float' To be added

  Gets or sets the scaling between world units and page units for this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.GraphicsUnit To be added: an object of type 'GraphicsUnit'

  The graphics unit is the unit of measure used for page coordinates in this .

  Gets or sets the unit of measure used for page coordinates in this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Drawing2D.PixelOffsetMode To be added: an object of type 'Drawing2D.PixelOffsetMode'

  Use this property to specify either higher quality, slower rendering, or lower quality, faster rendering of the contents of this object.

  Gets or set a value specifying how pixels are offset during rendering of this .

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void

  and are two methods that allow you to get and release the handle for a Windows device. You should always follow a call to with a call to when you are finished with the Windows handle.

  Releases a device context handle obtained by a previous call to the method of this .

- Method
  System.Void ``

  The device context is a Windows structure based on ndptecgdi that defines a set of graphical objects and their associated attributes, as well as the graphical modes that affect output.

  Calls to the and methods must appear in pairs. During the scope of a and method pair, you usually make calls only to ndptecgdi functions. Calls in that scope made to ndptecgdiplus methods of the that produced the parameter fail with an ObjectBusy error. Also, ndptecgdiplus ignores any state changes made to the of the parameter in subsequent operations.

  Releases a device context handle obtained by a previous call to the method of this .

  Handle to a device context obtained by a previous call to the method of this . 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
- Method
  System.Void `` To be added

  Releases a handle to a device context.

  Handle to a device context. 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Property
  System.Drawing.Point To be added: an object of type 'Point' To be added

  Gets or sets the rendering origin of this for dithering and for hatch brushes.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  When the clipping region of a is infinite, items that this draws are not clipped.

  Resets the clip region of this to an infinite region.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  The identity matrix represents a transformation with no scaling, rotation, or translation. Resetting the world transformation of this to the identity matrix means that its world transformation does not change the geometry of transformed items.

  Resets the world transformation matrix of this to the identity matrix.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  When you call the method of a , an information block that holds the state of the is put on a stack. The method returns a that identifies that information block. When you pass the identifying to the method, the information block is removed from the stack and is used to restore the to the state it was in at the time of the method call. Note that the returned by a given call to the method can be passed only once to the Restore method.

  Calls to the method can be nested; that is, you can call the method several times before you call the method. Each time you call the method, an information block is put on the stack, and you receive a for the information block. When you pass one of those objects to the method, the is returned to the state it was in at the time of the method call that returned that particular . The information block placed on the stack by that method call is removed from the stack, and all information blocks placed on that stack after that method call are also removed.

  Calls to the method place information blocks on the same stack as calls to the method. Just as a call is paired with a call, a method call is paired with a method call.

  When you call the method, all information blocks placed on the stack (by the method or by the method) after the corresponding call to the method are removed from the stack. Likewise, when you call the method, all information blocks placed on the stack (by the method or by the method) after the corresponding call to the method are removed from the stack.

  Restores the state of this to the state represented by a .

  that represents the state to which to restore this . 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The rotation operation consists of multiplying the transformation matrix by a matrix whose elements are derived from the parameter. This method applies the rotation by prepending it to the transformation matrix.

  Applies the specified rotation to the transformation matrix of this .

  Angle of rotation in degrees. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The rotation operation consists of multiplying the transformation matrix by a matrix whose elements are derived from the parameter. This method prepends or appends the transformation matrix of the by the rotation matrix according to the parameter.

  Applies the specified rotation to the transformation matrix of this in the specified order.

  Angle of rotation in degrees. Member of the enumeration that specifies whether the rotation is appended or prepended to the matrix transformation. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Drawing2D.GraphicsState

  When you call the method of a , an information block that holds the state of the is put on a stack. The method returns a that identifies that information block. When you pass the identifying to the method, the information block is removed from the stack and is used to restore the to the state it was in at the time of the method call. Note that the returned by a given call to the method can be passed only once to the method.

  Calls to the method can be nested; that is, you can call the method several times before you call the method. Each time you call the method, an information block is put on the stack, and you receive a for the information block. When you pass one of those objects to the method, the is returned to the state it was in at the time of the method call that returned that particular . The information block placed on the stack by that method call is removed from the stack, and all information blocks placed on that stack after that method call are also removed.

  Calls to the method place information blocks on the same stack as calls to the method. Just as a call is paired with a call, a method call is paired with a method call.

  When you call the method, all information blocks placed on the stack (by the method or by the method) after the corresponding call to the method are removed from the stack. Likewise, When you call the method, all information blocks placed on the stack (by the method or by the method) after the corresponding call to the method are removed from the stack.

  Saves the current state of this and identifies the saved state with a .

  This method returns a that represents the saved state of this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  The scaling operation consists of multiplying the transformation matrix by a diagonal matrix whose elements are (, , 1). This method prepends the transformation matrix of the by the scaling matrix.

  Applies the specified scaling operation to the transformation matrix of this by prepending it to the object's transformation matrix.

  Scale factor in the x direction. Scale factor in the y direction. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  The scaling operation consists of multiplying the transformation matrix by a diagonal matrix whose elements are (, , 1). This method prepends or appends the transformation matrix of the by the scaling matrix according to the parameter.

  Applies the specified scaling operation to the transformation matrix of this in the specified order.

  Scale factor in the x direction. Scale factor in the y direction. Member of the enumeration that specifies whether the scaling operation is prepended or appended to the transformation matrix. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  If the graphics path represented by the parameter is not closed, an additional segment is added from the last point to the first point to close the path.

  Sets the clipping region of this to the specified .

  that represents the new clip region. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Sets the clipping region of this to the Clip property of the specified .

  from which to take the new clip region. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Sets the clipping region of this to the rectangle specified by a structure.

  structure that represents the new clip region. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Sets the clipping region of this to the rectangle specified by a structure.

  structure that represents the new clip region. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  If the graphics path represented by the parameter is not closed, an additional segment is added from the last point to the first point to close the path.

  Sets the clipping region of this to the result of the specified operation combining the current clip region and the specified .

  to combine. Member of the enumeration that specifies the combining operation to use. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Sets the clipping region of this to the result of the specified combining operation of the current clip region and the property of the specified .

  that specifies the clip region to combine. Member of the enumeration that specifies the combining operation to use. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Sets the clipping region of this to the result of the specified operation combining the current clip region and the rectangle specified by a structure.

  structure to combine. Member of the enumeration that specifies the combining operation to use. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Sets the clipping region of this to the result of the specified operation combining the current clip region and the rectangle specified by a structure.

  structure to combine. Member of the enumeration that specifies the combining operation to use. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Sets the clipping region of this to the result of the specified operation combining the current clip region and the specified .

  to combine. Member from the enumeration that specifies the combining operation to use. 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Drawing2D.SmoothingMode To be added: an object of type 'Drawing2D.SmoothingMode'

  The smoothing mode specifies whether lines, curves, and the edges of filled areas use smoothing (also called antialiasing). One exception is that path gradient brushes do not obey the smoothing mode. Areas filled using a are rendered the same way (aliased) regardless of the property.

  Gets or sets the rendering quality for this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  The gamma correction value must be between 0 and 12. The default value is 4.

  Gets or sets the gamma correction value for rendering text.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Text.TextRenderingHint To be added: an object of type 'Text.TextRenderingHint'

  The text rendering hint specifies whether text renders with antialiasing.

  You should not use a property value of when the property is set to . An exception could occur or the image may not render correctly.

  Gets or sets the rendering mode for text associated with this .

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Drawing2D.Matrix To be added: an object of type 'Drawing2D.Matrix'

  GDI+ uses three coordinate spaces: world, page, and device. World coordinates are the coordinates used to model a particular graphic world and are the coordinates you pass to methods in the .NET Framework. Page coordinates refer to the coordinate system used by a drawing surface, such as a form or a control. Device coordinates are the coordinates used by the physical device being drawn on, such as a screen or a printer. The property represents the world transformation, which maps world coordinates to page coordinates.

  Because the matrix returned and by the property is a copy of the geometric transform, you should dispose of the matrix when you no longer need it.

  Gets or sets a copy of the geometric world transformation for this .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` `` To be added

  Transforms an array of points from one coordinate space to another using the current world and page transformations of this .

  Member of the enumeration that specifies the destination coordinate space. Member of the enumeration that specifies the source coordinate space. Array of structures that represents the points to transformation. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added

  Transforms an array of points from one coordinate space to another using the current world and page transformations of this .

  Member of the enumeration that specifies the destination coordinate space. Member of the enumeration that specifies the source coordinate space. Array of structures that represent the points to transform. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Translates the clipping region of this by specified amounts in the horizontal and vertical directions.

  The x-coordinate of the translation. The y-coordinate of the translation. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Translates the clipping region of this by specified amounts in the horizontal and vertical directions.

  The x-coordinate of the translation. The y-coordinate of the translation. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The origin is typically the upper-left-hand corner of the drawing surface. The translation operation consists of multiplying the transformation matrix by a matrix whose translation part is the and parameters. This method applies the translation by prepending the translation matrix to the transformation matrix.

  Changes the origin of the coordinate system by prepending the specified translation to the transformation matrix of this .

  The x-coordinate of the translation. The y-coordinate of the translation. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  The translation operation consists of multiplying the transformation matrix by a matrix whose translation part is the and parameters. This method prepends or appends the transformation matrix of the by the translation matrix according to the parameter.

  Changes the origin of the coordinate system by applying the specified translation to the transformation matrix of this in the specified order.

  The x-coordinate of the translation. The y-coordinate of the translation. Member of the enumeration that specifies whether the translation is prepended or appended to the transformation matrix. 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.RectangleF To be added: an object of type 'RectangleF'

  The unit for resulting rectangle is designated by the property. The default unit is pixels. A is typically associated with a control and the origin of the rectangle will be relative to the client area of that control.

  The visible clipping region is the intersection of the clipping region of this and the clipping region of the window.

  Gets the bounding rectangle of the visible clipping region of this .

  1.0.5000.0
  2.0.0.0